## VitexSoftware-php-ease-twbootstrap4.zip

=== Makefile ===
# vim: set tabstop=8 softtabstop=8 noexpandtab:
.PHONY: help
help: ## Displays this list of targets with descriptions
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[32m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: static-code-analysis
static-code-analysis: vendor ## Runs a static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyse --configuration=phpstan-default.neon.dist --memory-limit=-1

.PHONY: static-code-analysis-baseline
static-code-analysis-baseline: check-symfony vendor ## Generates a baseline for static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyze --configuration=phpstan-default.neon.dist --generate-baseline=phpstan-default-baseline.neon --memory-limit=-1

.PHONY: tests
tests: vendor
	vendor/bin/phpunit tests

.PHONY: vendor
vendor: composer.json composer.lock ## Installs composer dependencies
	composer install

.PHONY: cs
cs: ## Update Coding Standards
	vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php --diff --verbose


#DESTDIR ?= debian/php-ease-bootstrap4/DEBIAN
#libdir  ?= /usr/share/php/Ease
#docdir  ?= /doc/ease-bootstrap/bootstrap


fresh:
	git pull origin master
	PACKAGE=`cat debian/composer.json | grep '"name"' | head -n 1 |  awk -F'"' '{print $4}'`; \
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	dch -b -v "${VERSION}" --package ${PACKAGE} "$CHANGES" \
	composer install
	
#install:
#	mkdir -p $(DESTDIR)$(libdir)
#	cp -r src/Ease/ $(DESTDIR)$(libdir)
#	cp -r debian/composer.json $(DESTDIR)$(libdir)
#	mkdir -p $(DESTDIR)$(docdir)
#	cp -r docs $(DESTDIR)$(docdir)
	
#build: doc
#	echo build;	

clean:
	rm -rf vendor composer.lock
	rm -rf debian/php-vitexsoftware-ease-bootstrap4
	rm -rf debian/php-vitexsoftware-ease-bootstrap4-doc
	rm -rf debian/*.log debian/tmp
	rm -rf .phpdoc/*

apigen:
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	apigen generate --source src --destination docs --title "Ease PHP Framework bootstrap4 ${VERSION}" --charset UTF-8 --access-levels public --access-levels protected --php --tree

composer:
	composer update

phpunit:
	vendor/bin/phpunit --bootstrap tests/bootstrap.php --configuration phpunit.xml

deb:
	dch -i "`git log -1 --pretty=%B`"
	debuild -i -us -uc -b

rpm:
	rpmdev-bumpspec --comment="`git log -1 --pretty=%B`" --userstring="Vítězslav Dvořák <info@vitexsoftware.cz>" ease-bootstrap.spec
	rpmbuild -ba ease-bootstrap.spec

release:
	echo Release v$(nextversion)
	dch -v $(nextversion) `git log -1 --pretty=%B | head -n 1`
	debuild -i -us -uc -b
	git commit -a -m "Release v$(nextversion)"
	git tag -a $(nextversion) -m "version $(nextversion)"



	

openbuild:
	

.PHONY : install build

=== debian/changelog ===
php-vitexsoftware-ease-bootstrap4 (1.9.1) UNRELEASED; urgency=medium

  * unset default tab crash fixed

 -- vitex <info@vitexsoftware.cz>  Fri, 13 Dec 2024 02:35:48 +0100

php-vitexsoftware-ease-bootstrap4 (1.9.0) unstable; urgency=medium

  * Semantic versioning

 -- vitex <info@vitexsoftware.cz>  Fri, 13 Dec 2024 02:35:20 +0100

php-vitexsoftware-ease-bootstrap4 (1.8.0) unstable; urgency=medium

  * ProgressBarr added

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 18:35:43 +0100

php-vitexsoftware-ease-bootstrap4 (1.7) unstable; urgency=medium

  [ Vítězslav Dvořák ]
  * First release
  * Label extend
  * Tabs OK now

  [ CyberVitexus ]
  * composer-global-update fix
  * enable javascript-common
  * Merge branch 'master' of github.com:VitexSoftware/ease-twbootstrap4
  * Debian package renamed
  * Debian package workflow
  * Allow submenu to be place on right side
  * v1.0 release
  * Docs added
  * Dependency fix II
  * Dependency fix II
  * Return added card
  * Return added card
  * FormGroup do not crash on button

 -- vitex <info@vitexsoftware.cz>  Sun, 25 Aug 2024 11:41:45 +0200

=== debian/control ===
Source: php-vitexsoftware-ease-bootstrap4
Build-Depends: debhelper (>= 7.0.50~), jq, moreutils, phpdocumentor
Section: web
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/VitexSoftware/ease-bootstrap4

Package: php-vitexsoftware-ease-bootstrap4
Depends: ${misc:Depends},php-vitexsoftware-ease-html,javascript-common
Architecture: all
Conflicts: ease-framework
Section: web
Priority: optional
Description: Set of Twitter Bootstrap 4 rendering objects
 TWB4 classes for Ease Framework.

Package: php-vitexsoftware-ease-bootstrap4-dev
Depends: ${misc:Depends}, php-vitexsoftware-ease-bootstrap4
Architecture: all
Replaces: php-ease-bootstrap4-dev
Suggests: php-vitexsoftware-ease-html
Section: web
Priority: optional
Description: EasePHP Framework Unit Tests
 Ease Framework Core unit Test classes.

Package: php-vitexsoftware-ease-bootstrap4-doc
Depends: ${misc:Depends}, php-vitexsoftware-ease-bootstrap4-dev
Architecture: all
Conflicts: ease-framework-doc
Section: devel
Priority: optional
Description: EasePHP Framework HTML unit documentation
 HTML classes for Ease Framework documentation generated by apigen

=== debian/rules ===
#!/usr/bin/make -f

PKG_PATH:=/usr/share/php/EaseTWB
BUILD_DIR:=build

%:
	dh $@

override_dh_prep:
	mkdir -p docs
	rm docs/* -rf
	phpdoc -d src --title "Vitex Software's Ease Twitter Bootstrap4"
	mv .phpdoc/build/* docs
	dh_prep


override_dh_auto_test:
	echo tests temporarly skipped for now in rules file

override_dh_install:
	jq '.version = "'`dpkg-parsechangelog | sed -n 's/^Version: //p'| sed 's/~.*//' `'"'  debian/composer.json |sponge debian/composer.json
	dh_install
